Just found this solution, and it works really great! I'm trying to turn it into a plugin but I don't know how. Is it possible to point me on a direction to make it work please?
Thanks in advance.
@tig said:
Try this one-liner, copy+paste in the Ruby Console + <enter> - it goes through all edges in groups and undoes hidden/soft/smooth.
m=Sketchup.active_model;m.start_operation('UN...');m.definitions.each{|d|next unless d.group?;d.entities.grep(Sketchup;;Edge).each{|e|e.hidden=false;e.smooth=false;e.soft=false}};m.commit_operation
It's one step undo-able.
It doesn't process geometry in the model or inside components...
This version processes groups & model geometry...
m=Sketchup.active_model;m.start_operation('UN...');m.definitions.each{|d|next unless d.group?;d.entities.grep(Sketchup;;Edge).each{|e|e.hidden=false;e.smooth=false;e.soft=false}};m.entities.grep(Sketchup;;Edge).each{|e|e.hidden=false;e.smooth=false;e.soft=false};m.commit_operation
This one also does the same for all components [groups & model-geometry are ignored]...
m=Sketchup.active_model;m.start_operation('UN...');m.definitions.each{|d|next if d.group? || d.image?;d.entities.grep(Sketchup;;Edge).each{|e|e.hidden=false;e.smooth=false;e.soft=false}};m.commit_operation
I think you know how to make these into proper Plugins...